%define apachedir /etc/httpd
%define apacheuser apache 
%define apachegroup apache
%define contentdir /usr/share

Summary: The Horde task list manager.
Name: nag-h3
Version: 2.1.4
Release: 1%{?dist}
License: GPL
Group: Applications/Internet
Source: ftp://ftp.horde.org/pub/nag/nag-h3-%{version}.tar.gz
#Source1: nag.conf
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRequires: gettext
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot 
Requires: php >= 4.3.0
Requires: httpd >= 2.0.46
Requires: horde >= 3.0
Obsoletes: nag
Provides: nag = %{version}-%{release}
Prereq: /usr/bin/perl
AutoReq: no

%description
Nag is a multiuser task list manager. Users can create any number of "task
lists", which can be shared with individual users, groups, or any combination.
Any number of task lists can be viewed in a single list. Tasks have due dates,
completion times, and can be imported and exported in multiple formats.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with nag)
please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf.d
#cp -p $RPM_SOURCE_DIR/nag.conf $RPM_BUILD_ROOT%{apachedir}/conf.d
mkdir -p $RPM_BUILD_ROOT%{contentdir}/horde/nag
cp -pR * $RPM_BUILD_ROOT%{contentdir}/horde/nag
cd $RPM_BUILD_ROOT%{contentdir}/horde/nag/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre

%post

%postun

%files
%defattr(-,root,root)
# Apache nag.conf file
#%config %{apachedir}/conf.d/nag.conf
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/horde/nag
# Include top-level files by hand
%{contentdir}/horde/nag/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/horde/nag/lib
%{contentdir}/horde/nag/locale
%{contentdir}/horde/nag/po
%{contentdir}/horde/nag/scripts
%{contentdir}/horde/nag/templates
%{contentdir}/horde/nag/themes
%{contentdir}/horde/nag/js
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/horde/nag/COPYING
%doc %{contentdir}/horde/nag/README
%docdir %{contentdir}/horde/nag/docs
%{contentdir}/horde/nag/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/horde/nag/config
%defattr(640,root,%{apachegroup})
%{contentdir}/horde/nag/config/.htaccess
%{contentdir}/horde/nag/config/*.dist
%config(noreplace) %{contentdir}/horde/nag/config/*.php
%config(noreplace) %{contentdir}/horde/nag/config/*.xml

%changelog
* Sun Mar  9 2008 Johnny Hughes <johnny@centos.org> 2.1.4.el5.centos
- upgraded to upstream version 2.1.4

* Fri Jul 20 2007 Johnny Hughes <johnny@centos.org> 2.1.3.el5.centos
- Built for CentOS-5

* Fri Jul 20 2007 Johnny Hughes <johnny@centos.org> 2.1.3.c4
- upgraded to upstream version 2.1.3

* Tue Nov 14 2006 Johnny Hughes <johnny@centos.org> 2.1.2.c4
- upgraded to upstream version 2.1.2

* Wed Aug 16 2006 Johnny Hughes <johnny@centos.org> 2.1.1.c4
- rolled in upstream changes to version 2.1.1
- modified all config files from config to config(noreplace)

* Tue Apr 11 2006 Johnny Hughes <johnny@centos.org> 2.1.c4
- upgrade to upstream version 2.1

* Mon Dec 12 2005 Johnny Hughes <johnny@centos.org> 2.0.4-1.centos4
- upgrade to upstream version 2.0.4
  see this link: http://marc.theaimsgroup.com/?l=horde-announce&m=113433205826731&w=2
 
* Sat Oct 29 2005 Johnny Hughes <johnny@centos.org> 2.0.3-1.centos4
- Initial build for CentOS4
- Changed the html location to be consistent w/CentOS web apps (/usr/share)
